# Disable debug packages and stripping of binaries
%global debug_package %{nil}
%define __os_install_post %{nil}

%global lua_version 5.2
%global lua_libdir %{_libdir}/lua/%{lua_version}
%global lua_pkgdir %{_datadir}/lua/%{lua_version}

Name:           luarocks
Version:        3.0.4
Release:        %mkrel 2
License:        MIT
Summary:        A package manager for Lua modules
Group:          Development/Other
Url:            https://luarocks.org/
Source0:        https://github.com/keplerproject/luarocks/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libtool
BuildRequires:  lua%{lua_version}
BuildRequires:  lua%{lua_version}-devel
Requires:       lua%{lua_version}

%description
It allows you to install Lua modules as self-contained packages called rocks,
which also contain version dependency information. This information can be
used both during installation, so that when one rock is requested all rocks it
depends on are installed as well, and also optionally at run time, so that
when a module is required, the correct version is loaded. LuaRocks supports
both local and remote repositories, and multiple local rocks trees. You can
download and install LuaRocks on Unix and Windows.

%prep
%setup -q
#autopatch -p1

%build
#setup_compile_flags
./configure \
  --lua-version=5.2 \
  --prefix=/usr
%{__make} build

%install
%make_install
ren()
{
    d="%{buildroot}%{_bindir}"
    bn="$1"
    mv "$d/$bn" "$d/$bn-5.2"
    (cd "$d" && ln -s "$bn-5.2" "$bn")
}
ren luarocks
ren luarocks-admin

%files
%doc README.md
%{_sysconfdir}/luarocks/config-5.2.lua
%{_bindir}/luarocks
%{_bindir}/luarocks-5.2
%{_bindir}/luarocks-admin
%{_bindir}/luarocks-admin-5.2
%{_datadir}/lua/5.2/%{name}/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 3.0.4-2.mga8
+ Revision: 1523906
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 shlomif <shlomif> 3.0.4-1.mga7
+ Revision: 1377700
- New version 3.0.4

* Sun Sep 23 2018 umeabot <umeabot> 2.4.3-2.mga7
+ Revision: 1299375
- Mageia 7 Mass Rebuild

* Fri Dec 01 2017 shlomif <shlomif> 2.4.3-1.mga7
+ Revision: 1180618
- Correct the summary.
- import from kekePower - thanks

